> This page is for version API + Legacy Read.
> For other versions, use one of these documentation indexes:
> - API (default): https://docs.getthera.com/api/llms.txt
> - API + Legacy Read: https://docs.getthera.com/api-legacy-read/llms.txt
> - API + Legacy Full: https://docs.getthera.com/api-legacy-full/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getthera.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getthera.com/_mcp/server.

# List Timesheets

GET https://api.getthera.com/companies/{companyId}/timesheets

Manager/admin review queue

Reference: https://docs.getthera.com/thera-api/payroll/timesheet-api/list-timesheets

## Authentication

- `X-Thera-API-Key` header (required) — API Key authentication via header

## Servers

- `https://api.getthera.com` (Production, default)
- `https://api.staging.getthera.com` (Staging)

## Request

### Path parameters

- `companyId` (string, required)

### Query parameters

- `status` (enum, optional)
  - Allowed values: `DRAFT`, `SUBMITTED`, `APPROVED`, `REJECTED`, `LOCKED`
- `periodStart` (string, optional)

## Response

### 200

- `list of Timesheet`

## Types

### Timesheet

- `id` (string, required)
- `contractId` (string, required)
- `userId` (string, required)
- `companyId` (string, required)
- `checkPayScheduleId` (string, required)
- `periodStart` (string, required)
- `periodEnd` (string, required)
- `status` (enum, required)
  - Allowed values: `DRAFT`, `SUBMITTED`, `APPROVED`, `REJECTED`, `LOCKED`
- `regularHours` (double, required)
- `overtimeHours` (double, required)
- `doubleOvertimeHours` (double, required)
- `totalLoggedHours` (double, required)
- `weeklyBreakdown` (list of WeeklyHours, required)
- `createdAt` (long, required)
- `appliedOvertimePolicyId` (string, optional)
- `submittedBy` (string, optional)
- `submittedAt` (long, optional)
- `approvedBy` (string, optional)
- `approvedAt` (long, optional)
- `rejectionReason` (string, optional)
- `paidInPayrollId` (string, optional)
- `paidInPayrollType` (enum, optional)
  - Allowed values: `ONCYCLE`, `OFFCYCLE`
- `updatedAt` (long, optional)

### WeeklyHours

- `weekStart` (string, required)
- `weekEnd` (string, required)
- `totalHours` (double, required)
- `regularHours` (double, required)
- `overtimeHours` (double, required)
- `doubleOvertimeHours` (double, required)

## Examples

**Response**

```json
[
  {
    "id": "id",
    "contractId": "contractId",
    "userId": "userId",
    "companyId": "companyId",
    "checkPayScheduleId": "checkPayScheduleId",
    "periodStart": "periodStart",
    "periodEnd": "periodEnd",
    "status": "DRAFT",
    "regularHours": 1.1,
    "overtimeHours": 1.1,
    "doubleOvertimeHours": 1.1,
    "totalLoggedHours": 1.1,
    "weeklyBreakdown": [
      {
        "weekStart": "weekStart",
        "weekEnd": "weekEnd",
        "totalHours": 1.1,
        "regularHours": 1.1,
        "overtimeHours": 1.1,
        "doubleOvertimeHours": 1.1
      },
      {
        "weekStart": "weekStart",
        "weekEnd": "weekEnd",
        "totalHours": 1.1,
        "regularHours": 1.1,
        "overtimeHours": 1.1,
        "doubleOvertimeHours": 1.1
      }
    ],
    "createdAt": 1000000,
    "appliedOvertimePolicyId": "appliedOvertimePolicyId",
    "submittedBy": "submittedBy",
    "submittedAt": 1000000,
    "approvedBy": "approvedBy",
    "approvedAt": 1000000,
    "rejectionReason": "rejectionReason",
    "paidInPayrollId": "paidInPayrollId",
    "paidInPayrollType": "ONCYCLE",
    "updatedAt": 1000000
  },
  {
    "id": "id",
    "contractId": "contractId",
    "userId": "userId",
    "companyId": "companyId",
    "checkPayScheduleId": "checkPayScheduleId",
    "periodStart": "periodStart",
    "periodEnd": "periodEnd",
    "status": "DRAFT",
    "regularHours": 1.1,
    "overtimeHours": 1.1,
    "doubleOvertimeHours": 1.1,
    "totalLoggedHours": 1.1,
    "weeklyBreakdown": [
      {
        "weekStart": "weekStart",
        "weekEnd": "weekEnd",
        "totalHours": 1.1,
        "regularHours": 1.1,
        "overtimeHours": 1.1,
        "doubleOvertimeHours": 1.1
      },
      {
        "weekStart": "weekStart",
        "weekEnd": "weekEnd",
        "totalHours": 1.1,
        "regularHours": 1.1,
        "overtimeHours": 1.1,
        "doubleOvertimeHours": 1.1
      }
    ],
    "createdAt": 1000000,
    "appliedOvertimePolicyId": "appliedOvertimePolicyId",
    "submittedBy": "submittedBy",
    "submittedAt": 1000000,
    "approvedBy": "approvedBy",
    "approvedAt": 1000000,
    "rejectionReason": "rejectionReason",
    "paidInPayrollId": "paidInPayrollId",
    "paidInPayrollType": "ONCYCLE",
    "updatedAt": 1000000
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.getthera.com/companies/companyId/timesheets"

headers = {"X-Thera-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.getthera.com/companies/companyId/timesheets';
const options = {method: 'GET', headers: {'X-Thera-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getthera.com/companies/companyId/timesheets"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Thera-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.getthera.com/companies/companyId/timesheets")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Thera-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getthera.com/companies/companyId/timesheets")
  .header("X-Thera-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getthera.com/companies/companyId/timesheets', [
  'headers' => [
    'X-Thera-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.getthera.com/companies/companyId/timesheets");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Thera-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Thera-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getthera.com/companies/companyId/timesheets")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```